- Qt 6.4
- Qt Quick 3D Physics
- QML Types
- CollisionNode
- Qt Quick 3D Physics | Commercial or GPLv3

# CollisionNode QML Type

Base type for physics nodes. More...

Import Statement: | import QtQuick3DPhysics
Since: | Qt 6.4
Inherits: | Node
Inherited By: | PhysicsBody and TriggerBody

- List of all members, including inherited members

## Properties

- collisionShapes : list<CollisionShape>
- enableTriggerReports : bool
- receiveContactReports : bool
- sendContactReports : bool

## Signals

- bodyContact(CollisionNode *body, list<vector3D> positions, list<vector3D> impulses, list<vector3D> normals)

## Detailed Description

This is the base type for all physical (colliding) bodies.

## Property Documentation

collisionShapes : list<CollisionShape>

This property contains the list of collision shapes. These shapes will be combined and act as a single rigid body when colliding.

enableTriggerReports : bool

This property determines whether this body will report when entering or leaving a trigger body.

receiveContactReports : bool

This property determines whether this body will receive contact reports when colliding with other bodies. If activated, this means that the bodyContact signal will be emitted on a collision with a body that has sendContactReports set to true.

sendContactReports : bool

This property determines whether this body will send contact reports when colliding with other bodies.

## Signal Documentation

bodyContact(CollisionNode *body, list<vector3D> positions, list<vector3D> impulses, list<vector3D> normals)

This signal is emitted when there is a collision and receiveContactReports is set to `true` in this body and sendContactReports is set to `true` in the colliding body. The parameters positions, impulses and normals contain the position, impulse force and normal for each contact point at the same index.

Note: The corresponding handler is `onBodyContact`.